javax.persistence

## Class QueryTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.QueryTimeoutException

- All Implemented Interfaces:
    Serializable

      public class QueryTimeoutException
      extends PersistenceException

  Thrown by the persistence provider when a query times out and only the statement is rolled back. The current transaction, if one is active, will be not be marked for rollback.
  Since:
    Java Persistence 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryTimeoutException()` Constructs a new `QueryTimeoutException` exception with `null` as its detail message.
    `QueryTimeoutException(Query query)` Constructs a new `QueryTimeoutException` exception with the specified query.
    `QueryTimeoutException(String message)` Constructs a new `QueryTimeoutException` exception with the specified detail message.
    `QueryTimeoutException(String message, Throwable cause)` Constructs a new `QueryTimeoutException` exception with the specified detail message and cause.
    `QueryTimeoutException(String message, Throwable cause, Query query)` Constructs a new `QueryTimeoutException` exception with the specified detail message, cause, and query.
    `QueryTimeoutException(Throwable cause)` Constructs a new `QueryTimeoutException` exception with the specified cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `getQuery()` Returns the query that caused this exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryTimeoutException

          public QueryTimeoutException()

      Constructs a new `QueryTimeoutException` exception with `null` as its detail message.

    - #### QueryTimeoutException

          public QueryTimeoutException(String message)

      Constructs a new `QueryTimeoutException` exception with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### QueryTimeoutException

          public QueryTimeoutException(String message,
                               Throwable cause)

      Constructs a new `QueryTimeoutException` exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause.

    - #### QueryTimeoutException

          public QueryTimeoutException(Throwable cause)

      Constructs a new `QueryTimeoutException` exception with the specified cause.
      Parameters:
        `cause` - the cause.

    - #### QueryTimeoutException

          public QueryTimeoutException(Query query)

      Constructs a new `QueryTimeoutException` exception with the specified query.
      Parameters:
        `query` - the query.

    - #### QueryTimeoutException

          public QueryTimeoutException(String message,
                               Throwable cause,
                               Query query)

      Constructs a new `QueryTimeoutException` exception with the specified detail message, cause, and query.
      Parameters:
        `message` - the detail message.
        `cause` - the cause.
        `query` - the query.

  - ### Method Detail

    - #### getQuery

          public Query getQuery()

      Returns the query that caused this exception.
      Returns:
        the query.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.